﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Data;
using System.Data.SqlClient;
using System.Windows.Forms;
using System.Runtime.InteropServices;  //api
using System.Net;

using System.IO;

namespace DL730PLUS
{
    public class DataBase
    {
        public static bool login = false;

        [DllImport("kernel32")]
        private static extern long WritePrivateProfileString(string section, string key, string val, string filePath);
        [DllImport("kernel32")]
        private static extern int GetPrivateProfileString(string section, string key, string def, StringBuilder retVal, int size, string filePath);

        //********************************************************************************************
        public static void SaveToini(string Section, string Key, string Value) //写INI文件
        {
            string str = Tobyte(Value);
            string inipath = Application.StartupPath + "\\config.ini";
            WritePrivateProfileString(Section, Key, str, inipath);
        }
        public static string GetFromini(string Section, string Key)       //读INI文件
        {
            string inipath = Application.StartupPath + "\\config.ini";
            StringBuilder temp = new StringBuilder(8000);
            int i = GetPrivateProfileString(Section, Key, "", temp, 8000, inipath);
            string str = temp.ToString();
            str = Tostring(str);
            return str;
        }
        public static string Tobyte(string str)
        {
            string resetstr = "";
            try
            {
                byte[] Writedata = System.Text.Encoding.Default.GetBytes(@str);
                for (int tmp = 0; tmp < Writedata.Length; tmp++)
                {
                    resetstr += Writedata[tmp].ToString("X2");
                }
            }
            catch { }
            return resetstr;
        }
        public static string Tostring(string str)
        {
            string resetstr = "";
            try
            {
                byte[] readdata = new byte[str.Length / 2];
                for (int tmp1 = 0; tmp1 < str.Length; tmp1 += 2)
                {
                    readdata[tmp1 / 2] = byte.Parse(Convert.ToInt32(str.Substring(tmp1, 2), 16).ToString());
                }
                resetstr = Encoding.Default.GetString(readdata);
            }
            catch { }
            return @resetstr;
        }
    }
}
